package com.zhiqiyun.open.core.enmus;


public enum SceneryGrade implements IBaseEnum {
    /**
     *
     */
    A(1, "A"), AA(2, "AA"), AAA(3, "AAA"), AAAA(4, "AAAA"), AAAAA(5, "AAAAA");

    private final int value;
    private final String text;

    SceneryGrade(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public static SceneryGrade valueOf(int value) {
        SceneryGrade[] values = SceneryGrade.values();
        for (SceneryGrade type : values) {
            if (type.value == value) {
                return type;
            }
        }
        return null;
    }


    public String getText() {
        return text;
    }

    public Integer getValue() {
        return value;
    }

    @Override
    public String getName() {
        return this.name();
    }
}
